import System.IO

reverseWords :: String -> String  
--reverseWords = unwords . map reverse . words 
--obige Zeile ist die kurzschreibweise mit der Punktnotation
reverseWords message = unwords (map reverse (words message))

main :: IO ()
main = do   
    line <- getLine  
    if null line  
        then return ()  
        else do  
            putStrLn $ reverseWords line  
            main